+++
title = "Variables"
weight = 6
+++

# Variables

```python
>>> a = 2
>>> a
2
>>> b = 3
>>> a + b
5
```

* On peut nommer des valeurs
* On peut afficher la valeur d'une variable entrant son nom dans le REPL


```python
>>> a = 2
>>> a
2
>>> a = 3
>>> a
3
```

* On peut changer la valeur d'une variable (d'où son nom)


* Quand Python essaie d'exécuter du code, il commence par remplacer les
  variables par leurs valeurs


## Nom des variables

Préférez des noms longs et descriptifs

Toujours en minuscules

Séparez les "mots" par des tirets bas (underscore)

```python
>>> score = 42
>>> age_moyen = 22
```

